List Workspaces

List Workspaces in an Organization

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

workspaceIdsstringRequired
A list of IDs for specific Workspaces to list. The API will list information only for Workspaces which have been specified in this list. <br> <Tip> To list multiple Workspaces, you must string together the parameter with the `workspaceIds`. For example, `workspaces?workspaceIds=workspaceId1&workspaceIds=workspaceId2`</Tip>
organizationIdstringRequired

Query parameters

workspaceIdsstringOptional
A list of IDs for specific Workspaces to list. The API will list information only for Workspaces which have been specified in this list.
namesstringOptional
A list of names for specific Workspaces to filter by. The API will list information only for Workspaces which have been specified in this list.
offsetintegerOptional>=0Defaults to 0
The number of results to skip before returning values.
limitintegerOptional0-1000Defaults to 20
The maximum number of results to return.
sortsenumOptional

A list of field names to sort by, and whether to show results as ascending or descending. Formatted as <fieldName>:asc or <fieldName>:desc.

Response

OK
limitinteger
The maximum number of workspaces that can be retrieved per page.
offsetinteger
The offset for the current page of workspaces in the complete result.
totalCountinteger
The total number of Workspaces in the paginated result.
workspaceslist of objects
An array of Workspace objects representing a list of workspaces.

Errors

400
List Workspaces Request Bad Request Error
401
List Workspaces Request Unauthorized Error
403
List Workspaces Request Forbidden Error
500
List Workspaces Request Internal Server Error